SDL_SetGamepadLED(3)

NAME
SDL_SetGamepadLED - Update a gamepad's LED color.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetGamepadLED(SDL_Gamepad *gamepad, Uint8 red, Uint8 green, Uint8 blue);

DESCRIPTION
An example of a joystick LED is the light on the back of a PlayStation 4's DualShock 4 controller. For gamepads with a single color LED, the maximum of the RGB values will be used as the LED brightness.

FUNCTION PARAMETERS

gamepad
    The gamepad to update

red The intensity of the red LED

green
    The intensity of the green LED

blue
    The intensity of the blue LED

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.